language: cn
model_unique_abbr: Flow_I_index
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的I指数
  description: 本算法旨在计算地点的I指数，该指数同时表达了某地的流的数目和流的长度，可用于量化城市地点的不可替代性。借鉴了文献计量学中H-index的思想, 某地点的I-index为 i 表示最多有 i 条长度分别至少为 i * alpha 米的流到达该地点。
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - I-index

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-Iindex
    - arg_name: locations
      is_positional_arg: true
      param_type: input_data
      name: 地点多边形文件
      description: 记录地点几何形状多边形的CSV文件
      data_type: csv
      data_semantic: locations
    - arg_name: od_flow
      is_positional_arg: true
      param_type: input_data
      name: OD流文件
      description: 记录流数据的CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: loc_i
      is_positional_arg: true
      param_type: output_data
      name: 地点I指数文件
      description: 地点I指数的输出文件夹路径
      data_type: str
      data_semantic: location_I_index  
    - arg_name: loc_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 地点多边形文件中的列索引. 依次输入地点多边形ID、地点多边形几何wkt对应的列索引（从0开始起计）, 采用","分割。
      data_type: str
      data_semantic: location_index
    - arg_name: od_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: OD流文件中的列索引. 依次输入流ID、O点经度、O点纬度、D点经度、D点纬度对应的列索引（从0开始起计）, 采用","分割
      data_type: str
      data_semantic: od_index
    

application:
  domain: 地理流分析
  objective: 本算法旨在计算地点的I指数，可用于量化城市地点的不可替代性。
  link_models:
    preorder: []


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark-geoflow:2.0 flow-idw /data/od_flows.csv /data/gravity_res /data/district_pop_wuhan.csv 1 0,1 0,1,2,3
  output_display:
    - csv文件

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1
